Uses of Class
jakarta.faces.component.UIInput
| Package | Description |
|---|---|
| com.sun.faces.ext.component | |
| jakarta.faces.component | |
| jakarta.faces.component.html |
Specialized user interface component classes for HTML.
|
-
Uses of UIInput in com.sun.faces.ext.component
Subclasses of UIInput in com.sun.faces.ext.component Modifier and Type Class Description classUIValidateWholeBean -
Uses of UIInput in jakarta.faces.component
Subclasses of UIInput in jakarta.faces.component Modifier and Type Class Description classUISelectBooleanclassUISelectManyUISelectMany is aUIComponentthat represents the user's choice of a zero or more items from among a discrete set of available options.classUISelectOneUISelectOne is aUIComponentthat represents the user's choice of zero or one items from among a discrete set of available options.classUIViewParameterUIViewParameter represents a binding between a request parameter and a model property orUIViewRootproperty. -
Uses of UIInput in jakarta.faces.component.html
Subclasses of UIInput in jakarta.faces.component.html Modifier and Type Class Description classHtmlInputFileclassHtmlInputHiddenRepresents an HTMLinputelement of typehidden.classHtmlInputSecretRepresents an HTMLinputelement of typepassword.classHtmlInputTextRepresents an HTMLinputelement of typetext.classHtmlInputTextareaRepresents an HTMLtextareaelement.classHtmlSelectBooleanCheckboxRepresents an HTMLinputelement of typecheckbox.classHtmlSelectManyCheckboxRepresents a multiple-selection component that is rendered as a set of HTMLinputelements of typecheckbox.classHtmlSelectManyListboxRepresents a multiple-selection component that is rendered as an HTMLselectelement, showing either all available options or the specified number of options.classHtmlSelectManyMenuRepresents a multiple-selection component that is rendered as an HTMLselectelement, showing a single available option at a time.classHtmlSelectOneListboxRepresents a single-selection component that is rendered as an HTMLselectelement, showing either all available options or the specified number of options.classHtmlSelectOneMenuRepresents a single-selection component that is rendered as an HTMLselectelement, showing a single available option at a time.classHtmlSelectOneRadioRepresents a single-selection component that is rendered as a set of HTMLinputelements of typeradio.